| ghc-prim-0.1.0.0: GHC primitives | Source code | Contents | Index

GHC.Types

Synopsis

data Char = C# Char#
data Int = I# Int#
data Float = F# Float#
data Double = D# Double#

Documentation

data Char | Source

Constructors

C# Char# |

data Int | Source

A fixed-precision integer type with at least the range `[-2^29 .. 2^29-1]`. The exact range for a given implementation can be determined by using Prelude.minBound and Prelude.maxBound from the Prelude.Bounded class.
Constructors

I# Int# |

data Float | Source

Single-precision floating point numbers. It is desirable that this type be at least equal in range and precision to the IEEE single-precision type.
Constructors

F# Float# |

data Double | Source

Double-precision floating point numbers. It is desirable that this type be at least equal in range and precision to the IEEE double-precision type.
Constructors

D# Double# |

Produced by Haddock version 2.4.2